﻿body.popup-open {
    overflow: hidden;
    height: 100vh;
    touch-action: none;
}

.popup-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 2147483647;
    /* Prevent background scroll */
    overflow: hidden;
}

.popup {
    width: 400px;
    max-width: 90%;
    background: #000000;
    border-radius: 14px;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0,0,0,0.2);
    animation: popupShow 0.3s ease;
    height: 95vh;
    
   
}

@keyframes popupShow {
    from {
        transform: scale(0.8);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

.popup-header {
    padding: 16px 20px;
    background: #000000;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.close-btn {
    background: transparent;
    border: none;
    color: white;
    font-size: 22px;
    cursor: pointer;
}

.popup-content {
    height: 80vh;
    overflow-y: auto;
    padding: 20px;
    scroll-behavior: smooth;
    /* IMPORTANT */
    overscroll-behavior: contain;
    -webkit-overflow-scrolling: touch;
    background-color: #000000;
    color: #ffffff;
    padding-bottom: 100px;
}

.item {
    padding: 14px;
    margin-bottom: 12px;
    background: #000000;
    border-radius: 10px;
    border-left: 4px solid #2563eb;
    color: #ffffff;
}

.tournament-dropdown {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.tournament-image {
    height: 90vh;
    width: auto;
    margin-top: 15px;
}

@media (max-width: 430px) {
    .tournament-dropdown {
        margin-top: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .tournament-image {
        height: 87vh;
        width: auto;
        margin-top: 15px;
    }
}


.pwa-popup {
    position: fixed;
    top: -200px;
    left: 0;
    width: 100%;
    z-index: 99999;
    display: flex;
    justify-content: center;
    transition: all 0.4s ease;
}

    .pwa-popup.show {
        top: 15px;
    }

.pwa-popup-content {
    width: 95%;
    max-width: 500px;
    background: #111;
    color: white;
    border-radius: 16px;
    padding: 18px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.4);
}

.pwa-popup-header {
    display: flex;
    justify-content: space-between;
    align-items: start;
    gap: 15px;
}

    .pwa-popup-header h3 {
        margin: 0;
        font-size: 20px;
    }

    .pwa-popup-header p {
        margin-top: 6px;
        font-size: 14px;
        opacity: 0.8;
    }

.pwa-close-btn {
    background: transparent;
    border: none;
    color: white;
    font-size: 22px;
    cursor: pointer;
}

.pwa-install-btn {
    margin-top: 15px;
    width: 100%;
    border: none;
    border-radius: 12px;
    padding: 14px;
    background: rgb(246, 87, 30);
    color: white;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    display: flex; 
    justify-content: center;
}

